Bug 14085 - CTDB test bugs, causing flapping tests
CTDB test bugs, causing flapping tests
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.11
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 14087
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-13 05:25 UTC by Martin Schwenke
Modified: 2019-09-11 08:04 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.11 (18.63 KB, patch)
2019-08-22 07:07 UTC, Martin Schwenke
amitay: review+
Details
Patch for 4.10 (18.63 KB, patch)
2019-08-22 07:08 UTC, Martin Schwenke
amitay: review+
Details
Patch for 4.9 (18.67 KB, patch)
2019-08-22 07:08 UTC, Martin Schwenke
amitay: review+
Details
Patch for 4.11 (19.72 KB, patch)
2019-08-27 22:34 UTC, Martin Schwenke
amitay: review+
Details
Patch for 4.10 (19.72 KB, patch)
2019-08-27 22:34 UTC, Martin Schwenke
amitay: review+
Details
Patch for 4.9 (19.76 KB, patch)
2019-08-27 22:35 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2019-08-13 05:25:57 UTC
3 issues established so far:

* Cluster mutex unit tests can fail in lock-unlock-lock-unlock sequence because
  a signal is delivered to initiate the unlock but the test does not wait
  for the corresponding process to be terminated.

* The record resurrection integration test can fail if the deleted record is not
  successfully vacuumed before a time limit expires.  Instead of vacuuming,
  the record can be cleared from active nodes via a recovery, which can be
  precisely tracked in tests.

* The volatile database traverse integration test can fail because it does not
  wait for a required recovery to complete before traversing a database.  This
  is due to an expectations mismatch in the test code that checks if a not
  is an lmaster.
Comment 1 Martin Schwenke 2019-08-22 05:17:35 UTC
OK, the first issue doesn't need a backport because we didn't backport the cluster  mutex changes...  so just the other 2, including the recoverd fix...
Comment 2 Martin Schwenke 2019-08-22 07:07:46 UTC
Created attachment 15415 [details]
Patch for 4.11
Comment 3 Martin Schwenke 2019-08-22 07:08:15 UTC
Created attachment 15416 [details]
Patch for 4.10
Comment 4 Martin Schwenke 2019-08-22 07:08:43 UTC
Created attachment 15417 [details]
Patch for 4.9
Comment 5 Martin Schwenke 2019-08-22 07:11:58 UTC
Commits cherry-pick cleanly from master into v4-11-test and v4-10-test.  Patch for these versions is identical but attached per-version for clarity.

All but the last commit cherry-picked cleanly from master into v4-9-test.  The last commit had a subtle difference in the lines being removed, which might have been helped by cherry-picking an additional intermediate commit.  However, resolving the conflict was trivial so I did that and marked that commit "backported" rather than "cherry-picked".  Hence, a different patch for v4-9-test.
Comment 6 Amitay Isaacs 2019-08-26 03:43:56 UTC
Hi Karolin,

This is ready for v4-9, v4-10 and v4-11.

Thanks.
Comment 7 Martin Schwenke 2019-08-27 02:18:23 UTC
An additional patch to come...  One of the commits has a typo in it...  :-(
Comment 8 Martin Schwenke 2019-08-27 22:34:15 UTC
Created attachment 15438 [details]
Patch for 4.11
Comment 9 Martin Schwenke 2019-08-27 22:34:47 UTC
Created attachment 15439 [details]
Patch for 4.10
Comment 10 Martin Schwenke 2019-08-27 22:35:20 UTC
Created attachment 15440 [details]
Patch for 4.9
Comment 11 Martin Schwenke 2019-08-27 22:36:29 UTC
Additional patch now included in each attachment.  Sorry about the noise...
Comment 12 Amitay Isaacs 2019-08-29 03:41:33 UTC
Hi Karolin,

This is ready (really really) for v4-9, v4-10 and v4-11.

Thanks.
Comment 13 Karolin Seeger 2019-09-03 11:52:14 UTC
(In reply to Amitay Isaacs from comment #12)
Hi Amitay,

pushed to autobuild-v4-{11,10,9}-test.
Comment 14 Karolin Seeger 2019-09-11 08:04:43 UTC
(In reply to Karolin Seeger from comment #13)
Pushed to all branches.
Closing out bug report.

Thanks!